Overview

List all notifiers

GET/v2/notifiers
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input0
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
Output4
disabledUntilstring
ISO timestamp until which the notifier is disabled (null if enabled)
namestring
Human-readable name for the notifier
propertiesobject
Configuration options for different notification channels. Only one channel should be configured per notifier.
idstring
Unique identifier for the notifier
Responses
200Successfully retrieved list of notifiers
Example input
curl 'https://api.axiom.co/v2/notifiers' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "createdAt": "2024-01-15T10:30:00Z",
    "createdBy": "alice@example.com",
    "disabledUntil": "2024-03-20T15:00:00Z",
    "name": "Production Slack Alerts",
    "properties": {
      "customWebhook": {
        "body": "{\"alert\": \"{{.AlertName}}\", \"severity\": \"{{.Severity}}\", \"message\": \"{{.Message}}\"}",
        "headers": {
          "Content-Type": "application/json",
          "X-API-Version": "1.0"
        },
        "secretHeaders": {
          "Authorization": "Bearer {{token}}"
        },
        "url": "https://api.custom-service.com/alerts"
      },
      "discord": {
        "discordChannel": "123456789012345678",
        "discordToken": "Bot 123456789012345678"
      },
      "discordWebhook": {
        "discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "email": {
        "emails": [
          "oncall@example.com",
          "alerts@example.com"
        ]
      },
      "microsoftTeams": {
        "microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..."
      },
      "opsgenie": {
        "apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "isEU": true
      },
      "pagerduty": {
        "routingKey": "1234567890abcdef1234567890abcdef",
        "token": "u+1234567890abcdef1234567890abcdef"
      },
      "slack": {
        "slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "webhook": {
        "url": "https://api.example.com/webhooks/alerts"
      }
    },
    "updatedAt": "2024-01-15T11:00:00Z",
    "id": "notify_slack_prod"
  }
]

Updated

Was this page helpful?